<?php require_once("pdf2swf.php"); ?>

<?php 

/*
* 18 avril 2011
*/
	/*******************************************************************************************/
	/* Si la conversion automatique permettant de trouver le chemin du document docURL
	/* ne fonctionne pas (par exemple dans le cas d'URL rewriting), ces 2 variables permettent d'indiquer :
	/* - $rootURL : quelle chane remplacer dans l'URL du document
	/* - $rootFilePath : par quelle chne
	/* pour obtenir le chemin du document dans le fileSystem du serveur
	/* Par exemple :
	/*		URL du document = "http://lededansdubocal.net/doc/documentation.pdf"
	/*		si on fixe $rootURL="http://lededansdubocal.net/" et $rootFilePath="/kunden/homepages/6/e2564289154/htdocs/danslebocal"
	/*		alors on dtermine que le chemin (filesystem) du document = "/kunden/homepages/6/e2564289154/htdocs/danslebocal/doc/documentation.pdf"
	/*
	/* Pour laisser fonctionner la dtection automatique, laisser ces variables vides.
	/*
	/*******************************************************************************************/
	// On rcupre les valeurs rgle par CFG (voir freepaper2_mes_options.php)
	@session_start();
	$rootURL=$_SESSION['rootURL'];
	$rootFilePath=$_SESSION['rootFilePath'];
	
	// doit tre l'URL ABSOLUE du document !!!!
	$docURL=$_POST["docURL"];
	
	if (version_compare(PHP_VERSION, '5.1.2', '<')) {
		$scheme=parse_url($docURL);
		$scheme=$scheme['scheme'] ;
	} else {
		$scheme=parse_url($docURL,PHP_URL_SCHEME);
	}
	if (!$rootURL) $rootURL=$scheme . '://' . $_SERVER['HTTP_HOST'];
	if (!$rootFilePath) $rootFilePath=$_SERVER['DOCUMENT_ROOT'];
	
	$docPath=str_replace($rootURL,$rootFilePath,$docURL);
	// this sets the sytem / or \ :
	strstr( PHP_OS, "WIN") ? $slash = "\\" : $slash = "/";
	$docPath=str_replace("/", $slash ,$docPath);

	// on crit dans le sous-rpertoire SWF de IMG
	$swfPath = str_replace($slash . getFileExtension($docPath) . $slash, $slash . "swf" .$slash ,$docPath) . ".swf" ;
	
	$swfDir=dirname($swfPath); 
	$fullDocURL='';
	if (!file_exists($swfDir)) 
	{	
		$fullDocURL = 'create swf directory : ' . $swfDir . chr(10);
		mkdir ($swfDir, 0755);
	}

	$pdfconv=new Pdf2swf();
	$output=$pdfconv->convert($docPath,$swfPath);
	
	$fullDocURL .= 'input URL : ' . $docURL . chr(10) . $output;
	
	// si le fichier est d'une version FreepapeR prcdente, il est dans le mme dossier que le document
	// crire ce message pour le mode verbeux et pour dtection par la procdure appelante
	$pos = strpos($output, "EXEC RETURN VALUE : 1");
	if ($pos != false) {
		$fullDocURL .= chr(10) . "Not in IMG/swf, Looking in IMG/" . getFileExtension($docPath);
	}
	echo $fullDocURL;

		
	// *******************
	// fonctions diverses
	// *******************
	function getFileExtension($fileName) {
		$dot = strrchr($fileName, ".");
		if ($dot != false) {
			return substr($dot,1);
		}
		return ""; 
	}
	


	
?>

